KTextEditor::ConfigInterfaceExtension Class Referenceabstract

`#include <configinterfaceextension.h>`

## Public Member Functions

unsigned int | configInterfaceExtensionNumber () const
virtual uint | configPages () const =0
virtual ConfigPage * | configPage (uint number=0, QWidget *parent=0, const char *name=0)=0
virtual QString | configPageName (uint number=0) const =0
virtual QString | configPageFullName (uint number=0) const =0
virtual QPixmap | configPagePixmap (uint number=0, int size=KIcon::SizeSmall) const =0

## Protected Member Functions

void | setConfigInterfaceExtensionDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateConfigInterfaceExtension

## Detailed Description

This is an interface to extend the configuration of the Document, Plugin and PluginViewInterface classes.

Definition at line 67 of file configinterfaceextension.h.

## Member Function Documentation

virtual ConfigPage* KTextEditor::ConfigInterfaceExtension::configPage | ( | uint | number = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

pure virtual

returns config page with the given number, config pages from 0 to configPages()-1 are available if configPages() > 0

virtual uint KTextEditor::ConfigInterfaceExtension::configPages | ( |  | ) | const

pure virtual

Number of available config pages.

The documentation for this class was generated from the following files:

- configinterfaceextension.h
- configinterfaceextension.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys